
/* -------------------------------------------------
* Copyright 2005 Machineworks Northwest - All Rights reserved
* Programmer(s):  Seth A. Robinson (seth@rtsoft.com): 
* Created 4/17/2005 7:14:06 PM
*/


#pragma once

#include "main.h"
#include "Entity.h"


class EntUpgrade: public Entity
{
    
public:
    EntUpgrade();
    virtual ~EntUpgrade();
    
    bool Init();
    
    virtual void  Render();
    virtual void  Update(float step);
    virtual void OnMessage(Message &msg);
    void OnKeyDown(const CL_InputEvent &key);
   
private: 
    CL_Slot m_SlotKeyDown;
 
    CL_Surface *m_sprite; 
};